Setup autotopup for your account
curl --request POST \
--url https://api.sakari.io/v1/accounts/{accountId}/attributes/{attributeType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs",
"lists": [
{
"name": "<string>",
"keyword": "<string>",
"doubleOptIn": {
"enabled": true,
"prompt": "<string>"
},
"filter": {
"q": "<string>",
"attributes": [
{
"attribute": "<string>",
"comparator": "<string>",
"value": [
"<string>"
]
}
],
"list": "<string>",
"valid": true,
"invalid": true,
"blocked": true,
"unblocked": true,
"optIn": true
},
"optInConfirmation": "<string>",
"optIn": "2023-11-07T05:31:56Z",
"optOut": "2023-11-07T05:31:56Z"
}
],
"attributes": {},
"optIn": "2023-11-07T05:31:56Z",
"blocked": "2023-11-07T05:31:56Z",
"activecampaign": {
"id": 123
},
"hubspot": {
"id": 123
},
"pipedrive": {
"id": 123
}
}
'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/attributes/{attributeType}"
payload = {
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs",
"lists": [
{
"name": "<string>",
"keyword": "<string>",
"doubleOptIn": {
"enabled": True,
"prompt": "<string>"
},
"filter": {
"q": "<string>",
"attributes": [
{
"attribute": "<string>",
"comparator": "<string>",
"value": ["<string>"]
}
],
"list": "<string>",
"valid": True,
"invalid": True,
"blocked": True,
"unblocked": True,
"optIn": True
},
"optInConfirmation": "<string>",
"optIn": "2023-11-07T05:31:56Z",
"optOut": "2023-11-07T05:31:56Z"
}
],
"attributes": {},
"optIn": "2023-11-07T05:31:56Z",
"blocked": "2023-11-07T05:31:56Z",
"activecampaign": { "id": 123 },
"hubspot": { "id": 123 },
"pipedrive": { "id": 123 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'chris@sakari.io',
firstName: 'Chris',
lastName: 'Bloggs',
lists: [
{
name: '<string>',
keyword: '<string>',
doubleOptIn: {enabled: true, prompt: '<string>'},
filter: {
q: '<string>',
attributes: [{attribute: '<string>', comparator: '<string>', value: ['<string>']}],
list: '<string>',
valid: true,
invalid: true,
blocked: true,
unblocked: true,
optIn: true
},
optInConfirmation: '<string>',
optIn: '2023-11-07T05:31:56Z',
optOut: '2023-11-07T05:31:56Z'
}
],
attributes: {},
optIn: '2023-11-07T05:31:56Z',
blocked: '2023-11-07T05:31:56Z',
activecampaign: {id: 123},
hubspot: {id: 123},
pipedrive: {id: 123}
})
};
fetch('https://api.sakari.io/v1/accounts/{accountId}/attributes/{attributeType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"amount": 123,
"below": 123,
"lastTopup": "2023-11-07T05:31:56Z"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}accounts
Setup autotopup for your account
POST
/
v1
/
accounts
/
{accountId}
/
attributes
/
{attributeType}
Setup autotopup for your account
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
Type of custom attribute
Available options:
contacts, deals, tickets Body
application/jsontext/csv
Example:
"chris@sakari.io"
Example:
"Chris"
Example:
"Bloggs"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I